package com.ssj.service.sys.menu.service;

import com.ssj.bean.sys.menu.domain.Menu;
import com.ssj.bean.sys.role.domain.Admin;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface MenuService extends BaseService<Menu, String> {
	
	public List<Menu> findByParentId(String parentId);
	public List<Menu> findByAll(Admin admin);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param parentId
	* @param @return       
	* 方法说明：获取目录
	 * @date 2017年11月1日 上午11:49:26
	 */
	List<Menu>  getSubNodesByParentid(String parentId);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param params
	* @param @param sp
	* @param @return       
	* 方法说明：获取目录
	 * @date 2017年11月1日 上午11:48:44
	 */
	public  Page<Menu>  findByPage(Map<String, Object> params, Pageable sp);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param id
	* @param @param MenuOrder
	* @param @return       
	* 方法说明：修改排序
	 * @date 2017年11月1日 上午11:48:32
	 */
	Integer updateMenuOrder(String id, int MenuOrder);
	
	
	public List<String> findRoleByAdminId(String adminId);
	
	

}
